grow_st {memnet} | R Documentation

## Steyvers and Tenenbaum (2004) network growth model

### Description

Grow networks using Steyvers and Tenenbaum (2004) model, which combines preferential attachment with a triad formation.

### Usage

    grow_st(n = 100L, m = 5L)

### Arguments

`n` | Integer. Number of nodes in the network.
`m` | Integer. Number of edges added for each incoming node.

### Value

n x n adjacency matrix.

### References

Steyvers, M., & Tenenbaum, J. B. (2005). The large-scale structure of semantic networks: Statistical analyses and a model of semantic growth. Cognitive science, 29(1), 41-78.

Wulff, D. U., Hills, T., & Mata, R. (2018, October 29). Structural differences in the semantic networks of younger and older adults. https://doi.org/10.31234/osf.io/s73dp

### Examples

    # generate small graph
    grow_st(n = 6, m = 2)

    ## Not run:
    # generate large graph
    grow_st(n = 100, m = 10)

    ## End(Not run)

[Package memnet version 0.1.0 Index]